﻿using ProjectGarage.Entities.Enums;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Reflection.Metadata.Ecma335;
using System.Text;
using System.Threading.Tasks;

namespace ProjectGarage.Entities;

public class Fuel
{
    public int Id { get; set; }

    [DisplayName("Название топлива")]
    public string FuelName { get; set; } = string.Empty;

    [DisplayName("Вид топлива")]
    public FuelType FuelType { get; set; }

    [DisplayName("Цена за литр")]
    public int Price { get; set; }

    public static Fuel CreateFuel(int id, string name, FuelType type, int price)
    {
        return new Fuel
        {
            Id = id,
            FuelName = name,
            FuelType = type,
            Price = price
        };
    }
}
