﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ProjectGarage.Entities;

public class Route
{
    public int Id { get; set; }

    [DisplayName("Название маршрута")]
    public string RouteName { get; set; } = string.Empty;

    [DisplayName("Начальная т.")]
    public string StartP { get; set; } = string.Empty;

    [DisplayName("Конечная т.")]
    public string FinalP { get; set; } = string.Empty;

    [DisplayName("Протяженность")]
    public int Length { get; set; }

    public static Route CreateRoute(int id,string name, string startp, string finalp, int len)
    {
        return new Route() { 
            Id = id,
            RouteName = name,
            StartP = startp,
            FinalP = finalp,
            Length = len
        };
    }
}
