﻿using ProjectGarage.Entities.Enums;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ProjectGarage.Entities;

public class Truck
{
    public int Id { get; private set; }

    [DisplayName("Номера фуры")]
    public string Numbers { get; private set; } = string.Empty;

    [DisplayName("Марка фуры")]
    public TruckType Truck_Type { get; set; }

    [DisplayName("Вместимость цистерны")]
    public int MaxFuel { get; private set; }

    public string TruckInfo => $"{Numbers} {Truck_Type.ToString()}";

    public static Truck CreateTruck(int id,string numbers, TruckType type, int maxFuel)
    {
        return new Truck()
        {
            Id = id,
            Numbers = numbers,
            Truck_Type = type,
            MaxFuel = maxFuel
        };
    }
}
